## gimppatternselect

gimppatternselect — Functions providing a pattern selection dialog.

## Functions

void | (*GimpRunPatternCallback) ()
const gchar * | gimp_pattern_select_new ()
void | gimp_pattern_select_destroy ()
gboolean | gimp_patterns_popup ()
gboolean | gimp_patterns_close_popup ()
gboolean | gimp_patterns_set_popup ()

## Description

Functions providing a pattern selection dialog.

## Functions

### GimpRunPatternCallback ()

    void
    (*GimpRunPatternCallback) (const gchar *pattern_name,
                               gint width,
                               gint height,
                               gint bpp,
                               const guchar *mask_data,
                               gboolean dialog_closing,
                               gpointer user_data);

### gimp_pattern_select_new ()

    const gchar *
    gimp_pattern_select_new (const gchar *title,
                             const gchar *pattern_name,
                             GimpRunPatternCallback callback,
                             gpointer data);

### gimp_pattern_select_destroy ()

    void
    gimp_pattern_select_destroy (const gchar *pattern_callback);

### gimp_patterns_popup ()

    gboolean
    gimp_patterns_popup (const gchar *pattern_callback,
                         const gchar *popup_title,
                         const gchar *initial_pattern);

Invokes the Gimp pattern selection.

This procedure opens the pattern selection dialog.

#### Parameters

pattern_callback | The callback PDB proc to call when pattern selection is made. |
popup_title | Title of the pattern selection dialog. |
initial_pattern | The name of the pattern to set as the first selected. |

#### Returns

TRUE on success.

### gimp_patterns_close_popup ()

    gboolean
    gimp_patterns_close_popup (const gchar *pattern_callback);

Close the pattern selection dialog.

This procedure closes an opened pattern selection dialog.

#### Parameters

pattern_callback | The name of the callback registered for this pop-up. |

#### Returns

TRUE on success.

### gimp_patterns_set_popup ()

    gboolean
    gimp_patterns_set_popup (const gchar *pattern_callback,
                             const gchar *pattern_name);

Sets the current pattern in a pattern selection dialog.

Sets the current pattern in a pattern selection dialog.

#### Parameters

pattern_callback | The name of the callback registered for this pop-up. |
pattern_name | The name of the pattern to set as selected. |

#### Returns

TRUE on success.

## Types and Values